Subject: [Request] Git export with hardlinks

From: Thomas Koch <[email-masked]>
Date: Wed, 6 Feb 2013 16:19:07 +0100

Hi,

I'd like to script a git export command that can be given a list of already 
exported worktrees and the tree SHA1s these worktrees correspond too. The git 
export command should then for every file it wants to export lookup in the 
existing worktrees whether an identical file is already present and in that 
case hardlink to the new export location instead of writing the same file 
again.

Use Case: A git based web deployment system that exports git trees to be 
served by a web server. Every new deployment is written to a new folder. After 
the export the web server should start serving new requests from the new 
folder.

It might be possible that this is premature optimization. But I'd like to 
learn more Python and dulwich by hacking this.

Do you have any additional thoughts or use cases about this?

Regards,

Thomas Koch, http://www.koch.ro